muParserScripting Class Reference

TODO. More...

`#include <muParserScripting.h>`

Inheritance diagram for muParserScripting:

## Classes

struct | mathFunction

## Public Member Functions

bool | isRunning () const
| whether asynchronuous execution is enabled (if supported by the implementation) More...
const QString | mathFunctionDoc (const QString &name) const
| Return a documentation string for the given mathematical function. More...
const QStringList | mathFunctions () const
| Return a list of supported mathematical functions. These should be imported into the global namespace. More...
| muParserScripting (ApplicationWindow *parent)
Script * | newScript (const QString &code, QObject *context, const QString &name="<input>")
| Instantiate the Script subclass matching the ScriptEnv subclass. More...
bool | setDouble (double, const char *)
bool | setInt (int, const char *)
bool | setQObject (QObject *, const char *)
Public Member Functions inherited from ScriptingEnv
ApplicationWindow * | application ()
virtual const QStringList | fileExtensions () const
| Return a list of file extensions commonly used for this language. More...
const QString | fileFilter () const
| Construct a filter expression from fileExtension(), suitable for QFileDialog. More...
virtual bool | initialize ()
| Part of the initialization is deferred from the constructor until after the signals have been connected. More...
bool | initialized () const
| initialization of the interpreter may fail; or there could be other errors setting up the environment More...
| ScriptingEnv (ApplicationWindow *parent, const char *langName)
virtual QString | stackTraceString ()
| If an exception / error occured, return a nicely formated stack backtrace. More...

## Static Public Member Functions

static ScriptingEnv * | constructor (ApplicationWindow *parent)
static const QString | explainFunction (const QString &name)
static const QStringList | functionsList (bool tableContext=false)

## Static Public Attributes

static const char * | langName = "muParser"
static const mathFunction | math_functions []

## Static Private Member Functions

static double | bessel_I0 (double x)
static double | bessel_I1 (double x)
static double | bessel_In (double x, double n)
static double | bessel_J0 (double x)
static double | bessel_J1 (double x)
static double | bessel_Jn (double x, double n)
static double | bessel_Jn_zero (double n, double s)
static double | bessel_Y0 (double x)
static double | bessel_Y1 (double x)
static double | bessel_Yn (double x, double n)
static double | beta (double a, double b)
static double | chi2cdf (double x, double n)
static double | chi2inv (double x, double n)
static double | dilog (double x)
static double | erf (double x)
static double | erf_Q (double x)
static double | erf_Z (double x)
static double | erfc (double x)
static double | ftable (double x, double m, double n)
static double | gamma (double x)
static double | gauss_cdf (double x, double sigma)
static double | gauss_pdf (double x, double sigma)
static double | hazard (double x)
static double | inv_gauss_cdf (double x, double sigma)
static double | invf (double x, double m, double n)
static double | invt (double x, double n)
static double | lambert_W0 (double x)
static double | lambert_Wm1 (double x)
static double | lngamma (double x)
static double | mod (double x, double y)
static double | normal (double x)
static double | normcdf (double x)
static double | norminv (double x)
static double | rnd (double x)
static double | ttable (double x, double n)

## Additional Inherited Members

Public Slots inherited from ScriptingEnv
virtual void | clear ()
| Clear the global environment. What exactly happens depends on the implementation. More...
void | decref ()
| Decrease the reference count. This should only be called by scripted and Script to avoid segfaults. More...
void | incref ()
| Increase the reference count. This should only be called by scripted and Script to avoid memory leaks. More...
virtual void | startExecution ()
| If the implementation supports asynchronuos execution, activate it. More...
virtual void | stopExecution ()
| If the implementation supports asynchronuos execution, deactivate it. More...
Signals inherited from ScriptingEnv
void | error (const QString &message, const QString &scriptName, int lineNumber)
| signal an error condition / exception More...
void | print (const QString &output)
| output that is not handled by a Script More...
Protected Attributes inherited from ScriptingEnv
bool | d_initialized
| whether the interpreter has been successfully initialized More...
ApplicationWindow * | d_parent
| the context in which we are running More...

## Detailed Description

TODO.

## Constructor & Destructor Documentation

muParserScripting::muParserScripting | ( | ApplicationWindow * | parent | ) |

inline

References ScriptingEnv::d_initialized.

Referenced by constructor().

## Member Function Documentation

static double muParserScripting::bessel_I0 | ( | double | x | ) |

inline static private

static double muParserScripting::bessel_I1 | ( | double | x | ) |

inline static private

static double muParserScripting::bessel_In | ( | double | x,
|  | double | n
| ) |  |

inline static private

static double muParserScripting::bessel_J0 | ( | double | x | ) |

inline static private

static double muParserScripting::bessel_J1 | ( | double | x | ) |

inline static private

static double muParserScripting::bessel_Jn | ( | double | x,
|  | double | n
| ) |  |

inline static private

static double muParserScripting::bessel_Jn_zero | ( | double | n,
|  | double | s
| ) |  |

inline static private

static double muParserScripting::bessel_Y0 | ( | double | x | ) |

inline static private

static double muParserScripting::bessel_Y1 | ( | double | x | ) |

inline static private

static double muParserScripting::bessel_Yn | ( | double | x,
|  | double | n
| ) |  |

inline static private

static double muParserScripting::beta | ( | double | a,
|  | double | b
| ) |  |

inline static private

static double muParserScripting::chi2cdf | ( | double | x,
|  | double | n
| ) |  |

inline static private

static double muParserScripting::chi2inv | ( | double | x,
|  | double | n
| ) |  |

inline static private

static ScriptingEnv* muParserScripting::constructor | ( | ApplicationWindow * | parent | ) |

inline static

References muParserScripting().

static double muParserScripting::dilog | ( | double | x | ) |

inline static private

static double muParserScripting::erf | ( | double | x | ) |

inline static private

static double muParserScripting::erf_Q | ( | double | x | ) |

inline static private

static double muParserScripting::erf_Z | ( | double | x | ) |

inline static private

static double muParserScripting::erfc | ( | double | x | ) |

inline static private

const QString muParserScripting::explainFunction | ( | const QString & | name | ) |

static

References muParserScripting::mathFunction::name.

Referenced by MatrixValuesDialog::insertExplain(), ExtractDataDialog::insertExplain(), and SetColValuesDialog::insertExplain().

static double muParserScripting::ftable | ( | double | x,
|  | double | m,
|  | double | n
| ) |  |

inline static private

const QStringList muParserScripting::functionsList | ( | bool | tableContext = `false` | ) |

static

References muParserScripting::mathFunction::name.

Referenced by ExtractDataDialog::ExtractDataDialog(), and SetColValuesDialog::SetColValuesDialog().

static double muParserScripting::gamma | ( | double | x | ) |

inline static private

static double muParserScripting::gauss_cdf | ( | double | x,
|  | double | sigma
| ) |  |

inline static private

static double muParserScripting::gauss_pdf | ( | double | x,
|  | double | sigma
| ) |  |

inline static private

static double muParserScripting::hazard | ( | double | x | ) |

inline static private

static double muParserScripting::inv_gauss_cdf | ( | double | x,
|  | double | sigma
| ) |  |

inline static private

static double muParserScripting::invf | ( | double | x,
|  | double | m,
|  | double | n
| ) |  |

inline static private

static double muParserScripting::invt | ( | double | x,
|  | double | n
| ) |  |

inline static private

bool muParserScripting::isRunning | ( |  | ) | const

inline virtual

whether asynchronuous execution is enabled (if supported by the implementation)

Reimplemented from ScriptingEnv.

static double muParserScripting::lambert_W0 | ( | double | x | ) |

inline static private

static double muParserScripting::lambert_Wm1 | ( | double | x | ) |

inline static private

static double muParserScripting::lngamma | ( | double | x | ) |

inline static private

const QString muParserScripting::mathFunctionDoc | ( | const QString & |  | ) | const

virtual

Return a documentation string for the given mathematical function.

Reimplemented from ScriptingEnv.

const QStringList muParserScripting::mathFunctions | ( |  | ) | const

virtual

Return a list of supported mathematical functions. These should be imported into the global namespace.

Reimplemented from ScriptingEnv.

static double muParserScripting::mod | ( | double | x,
|  | double | y
| ) |  |

inline static private

Script* muParserScripting::newScript | ( | const QString & | ,
|  | QObject * | ,
|  | const QString & | = `"<input>"`
| ) |  |

inline virtual

Instantiate the Script subclass matching the ScriptEnv subclass.

Reimplemented from ScriptingEnv.

static double muParserScripting::normal | ( | double | x | ) |

inline static private

static double muParserScripting::normcdf | ( | double | x | ) |

inline static private

static double muParserScripting::norminv | ( | double | x | ) |

inline static private

static double muParserScripting::rnd | ( | double | x | ) |

inline static private

bool muParserScripting::setDouble | ( | double | ,
|  | const char * |
| ) |  |

inline virtual

Reimplemented from ScriptingEnv.

bool muParserScripting::setInt | ( | int | ,
|  | const char * |
| ) |  |

inline virtual

Reimplemented from ScriptingEnv.

bool muParserScripting::setQObject | ( | QObject * | ,
|  | const char * |
| ) |  |

inline virtual

Reimplemented from ScriptingEnv.

static double muParserScripting::ttable | ( | double | x,
|  | double | n
| ) |  |

inline static private

## Member Data Documentation

const char * muParserScripting::langName = "muParser"

static

const muParserScripting::mathFunction muParserScripting::math_functions

static

Referenced by MyParser::explainFunction(), MyParser::functionNamesList(), MyParser::functionsList(), and MyParser::MyParser().

The documentation for this class was generated from the following files:

- qtiplot/src/scripting/muParserScripting.h
- qtiplot/src/scripting/muParserScripting.cpp